import Vue from "vue";
import App from './App.vue';

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import "@/assets/css/element-variables.scss";

import ToggleButton from 'vue-js-toggle-button';
import VueAwesomeSwiper from "vue-awesome-swiper";
import "swiper/dist/css/swiper.css";
import * as VueWindow from "@hscmap/vue-window";
import moment from 'moment';
import Mixin from "./mixins";

Vue.prototype.$moment = moment;
Vue.use(ElementUI);
Vue.use(ToggleButton);
Vue.use(VueAwesomeSwiper as any);
Vue.use(VueWindow);
Vue.filter('moment', function (value, formatString) {
  formatString = formatString || 'YYYY-MM-DD HH:mm:ss';
  return moment(value).format(formatString);

});
Vue.mixin(Mixin);

new Vue({
  el: '#app',
  render: h => h(App)
})
